System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement

Encoding is the process of transforming a message into a sequence of bytes. Decoding is the reverse process. indigo1 includes three types of encoding for SOAP messages: Text, Binary and Message Transmission Optimization Mechanism (MTOM).

Use this class if you want to implement a custom message encoder. To implement your own custom message encoder, you must provide custom implementations of the following three abstract base classes:

Override the to return an instance of your custom . Override the method to return an instance of this factory.

Any type that derives from is responsible for updating the version of the SOAP binding in the WSDL document generated for the service. This is done by implementing the method to modify the generated WSDL.

indigo1 provides three types of binding elements derived from the class that can provide for text, binary and Message Transmission Optimization Mechanism (MTOM) encoding.

: the most interoperable, but the least efficient encoder for XML messages. A Web service or Web service client can generally understand textual XML. However, transmitting large blocks of binary data as text is not efficient.

: represents the binding element that specifies the character encoding and message versioning used for binary-based XML messages. This is most efficient but least interoperable of the encoding options.

: represents the binding element that specifies the character encoding and message versioning used for a message using a Message Transmission Optimization Mechanism (MTOM) encoding. MTOM is an efficient technology for transmitting binary data in indigo2 messages. The MTOM encoder attempts to balance efficiency and interoperability. The MTOM encoding transmits most XML in textual form, but optimizes large blocks of binary data by transmitting them as-is, without conversion to text.

The binding element that specifies the message version used to encode messages.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class initialized from an existing element.

- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageEncoderFactory To be added.

  When overridden in a derived class, creates a factory for producing message encoders.

  The used to produce message encoders.

- Method
  4.0.0.0
  T ReferenceTypeConstraint `` To be added.

  Use this to request a typed object such as an interface for retrieving properties or getting status from the appropriate layer in the channel stack. If a layer supports returning the requested object, it returns it. If not, it delegates the call down to the next layer in the stack. If it gets to the bottom of the stack and no channel layer supported the requested object, then the method returns null.

  Returns the typed object requested, if present, from the appropriate layer in the channel stack.

  The typed object requested if it is present or null if it is not.

  The typed object for which the method is querying.
- Property
  4.0.0.0
  System.ServiceModel.Channels.MessageVersion To be added.

  When binding elements are asked to process a message that has a not returned by this property, it should throw an exception.

  When overridden in a derived class, gets or sets the message version that can be handled by the message encoders produced by the message encoder factory.

- Method
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.